## javax.vecmath
Class Tuple3b

    java.lang.Object
      javax.vecmath.Tuple3b

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  Color3b

    public abstract class Tuple3b

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

A three byte tuple. Note that Java defines a byte as a signed integer in the range [-128, 127]. However, colors are more typically represented by values in the range [0, 255]. Java 3D recognizes this and, in those cases where Tuple3b is used to represent color, treats the bytes as if the range were [0, 255]---in other words, as if the bytes were unsigned. Values greater than 127 can be assigned to a byte variable using a type cast. For example:

byteVariable = (byte) intValue; // intValue can be > 127

If intValue is greater than 127, then byteVariable will be negative. The correct value will be extracted when it is used (by masking off the upper bits).

See Also:
  Serialized Form

Field Summary
`byte` `x` The first value.
`byte` `y` The second value.
`byte` `z` The third value.

Constructor Summary
`Tuple3b()` Constructs and initializes a Tuple3b to (0,0,0).
`Tuple3b(byte[] t)` Constructs and initializes a Tuple3b from input array of length 3.
`Tuple3b(byte b1, byte b2, byte b3)` Constructs and initializes a Tuple3b from the specified three values.
`Tuple3b(Tuple3b t1)` Constructs and initializes a Tuple3b from the specified Tuple3b.

Method Summary
`java.lang.Object` `clone()` Creates a new object of the same class as this object.
`boolean` `equals(java.lang.Object t1)` Returns true if the Object t1 is of type Tuple3b and all of the data members of t1 are equal to the corresponding data members in this Tuple3b.
`boolean` `equals(Tuple3b t1)` Returns true if all of the data members of tuple t1 are equal to the corresponding data members in this tuple.
`void` `get(byte[] t)` Places the value of the x,y,z components of this Tuple3b into the array of length 3.
`void` `get(Tuple3b t1)` Places the value of the x,y,z components of this tuple into the tuple t1.
`byte` `getX()` Get x, the first value.
`byte` `getY()` Get y, the second value.
`byte` `getZ()` Get z, the third value.
`int` `hashCode()` Returns a hash code value based on the data values in this object.
`void` `set(byte[] t)` Sets the value of the x,y,z, data members of this tuple to the values in the array t of length 3.
`void` `set(Tuple3b t1)` Sets the value of the data members of this tuple to the value of the argument tuple t1.
`void` `setX(byte x)` Set x, the first value.
`void` `setY(byte y)` Set y, the second value.
`void` `setZ(byte z)` Set z, the third value.
`java.lang.String` `toString()` Returns a string that contains the values of this Tuple3b.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public byte x

  The first value.

### y

    public byte y

  The second value.

### z

    public byte z

  The third value.

Constructor Detail

### Tuple3b

    public Tuple3b(byte b1,
                   byte b2,
                   byte b3)

  Constructs and initializes a Tuple3b from the specified three values.

  Parameters:
    `b1` - the first value
    `b2` - the second value
    `b3` - the third value

### Tuple3b

    public Tuple3b(byte[] t)

  Constructs and initializes a Tuple3b from input array of length 3.

  Parameters:
    `t` - the array of length 3 containing b1 b2 b3 in order

### Tuple3b

    public Tuple3b(Tuple3b t1)

  Constructs and initializes a Tuple3b from the specified Tuple3b.

  Parameters:
    `t1` - the Tuple3b containing the initialization x y z data

### Tuple3b

    public Tuple3b()

  Constructs and initializes a Tuple3b to (0,0,0).

Method Detail

### toString

    public java.lang.String toString()

  Returns a string that contains the values of this Tuple3b.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String with the values

### get

    public final void get(byte[] t)

  Places the value of the x,y,z components of this Tuple3b into the array of length 3.

  Parameters:
    `t` - array of length 3 into which the component values are copied

### get

    public final void get(Tuple3b t1)

  Places the value of the x,y,z components of this tuple into the tuple t1.

  Parameters:
    `t1` - the tuple into which the values are placed

### set

    public final void set(Tuple3b t1)

  Sets the value of the data members of this tuple to the value of the argument tuple t1.

  Parameters:
    `t1` - the source tuple for the memberwise copy

### set

    public final void set(byte[] t)

  Sets the value of the x,y,z, data members of this tuple to the values in the array t of length 3.

  Parameters:
    `t` - array of length 3 which is the source for the memberwise copy

### equals

    public boolean equals(Tuple3b t1)

  Returns true if all of the data members of tuple t1 are equal to the corresponding data members in this tuple.

  Parameters:
    `t1` - the tuple with which the comparison is made
  Returns:
    true or false

### equals

    public boolean equals(java.lang.Object t1)

  Returns true if the Object t1 is of type Tuple3b and all of the data members of t1 are equal to the corresponding data members in this Tuple3b.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `t1` - the object with which the comparison is made

### hashCode

    public int hashCode()

  Returns a hash code value based on the data values in this object. Two different Tuple3b objects with identical data values (i.e., Tuple3b.equals returns true) will return the same hash code value. Two objects with different data members may return the same hash value, although this is not likely.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the integer hash code value

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a clone of this instance.
  Throws:
    `java.lang.OutOfMemoryError` - if there is not enough memory.
  Since:
    vecmath 1.3
  See Also:
    `Cloneable`

### getX

    public final byte getX()

  Get x, the first value.

  Returns:
    the first value.
  Since:
    vecmath 1.5

### setX

    public final void setX(byte x)

  Set x, the first value.

  Parameters:
    `x` - the first value to set.
  Since:
    vecmath 1.5

### getY

    public final byte getY()

  Get y, the second value.

  Returns:
    the second value.
  Since:
    vecmath 1.5

### setY

    public final void setY(byte y)

  Set y, the second value.

  Parameters:
    `y` - the second value to set.
  Since:
    vecmath 1.5

### getZ

    public final byte getZ()

  Get z, the third value.

  Returns:
    the third value.
  Since:
    vecmath 1.5

### setZ

    public final void setZ(byte z)

  Set z, the third value.

  Parameters:
    `z` - the third value to set.
  Since:
    vecmath 1.5

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.